#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef long double ld;

ll niz[100005];
ll ima[100005];

int main(){
    ios_base::sync_with_stdio(false);
    cout.precision(10);
    cout<<fixed;

    int n, m;
    cin >> n >> m;
    ll mn = 0;
    for(int i=1; i<=n; i++){
        cin >> niz[i];
    }
    int bilo = 0;
    sort(niz+1, niz+1+n);
    for(int i=1; i<=n; i++){
        for(int j=bilo+1; j<=niz[i]; j++){
            mn += (i-1)*(n-i+1);
        }
        bilo = niz[i];
    }
    if(n > 15){
        cout << mn;
        return 0;
    }
    for(int i=0; i<(1 << n); i++){
        ll sum=0;
        for(int x=1; x<=m; x++){
            ima[x] = 0;
        }
        for(int x=1; x<=n; x++){
            if((1 << (x-1)) & i){
                for(int j=1; j<=niz[x]; j++){
                    ima[j]++;
                }
            }
            else{
                for(int j=niz[x]+1; j<=m; j++){
                    ima[j]++;
                }
            }
        }
        for(int x=1; x<=m; x++){
            sum += ima[x]*(n-ima[x]);
        }
        mn = min(sum, mn);
    }
    cout << mn;
    return 0;
}